<?php

namespace WPEP\Admin\Coordinator;

use WPEP\Settings as WPEP_Settings;
use WPEP\Controller as WPEP_Controller;

class EmailNotification {

  public function setup() {
    if( wpep_get_setting_flag( 'email-weekly-recap-status' ) == false )
      return;

    add_action( 'show_user_profile', [ $this, 'user_profile_access_management' ] );
    add_action( 'edit_user_profile', [ $this, 'user_profile_access_management' ] );

    add_action( 'personal_options_update', [ $this, 'user_profile_access_management_save' ] );
    add_action( 'edit_user_profile_update', [ $this, 'user_profile_access_management_save' ] );
  }

  public function user_profile_access_management( $user ) {
    echo '<h3>' . __( "WPEP Email Notifications", 'wpep' ) . '</h3>';
    echo '<table class="form-table">';
      echo    '<tr>';
      echo    '<th><label for="wpep-weekly-recap">' . __( "Weekly Recap", "wpep" ) . '</label></th>';
      echo    '<td>';
      echo      '<input type="hidden" 
                        name="wpep_disable_email_weekly_recap" 
                        value="1"/>';
      echo      '<input id="wpep-weekly-recap" 
                        type="checkbox" 
                        name="wpep_disable_email_weekly_recap" 
                        value="0" ' . checked( !intval( get_user_meta( $user->ID, 'wpep_disable_email_weekly_recap', true ) ) , true, false ) . '/>';
      echo    '</td>';
      echo '</tr>';
    echo '</table>';
  }

  public function user_profile_access_management_save( $user_id ) {
    if ( !current_user_can( 'edit_user', $user_id ) )
      return false;

    update_user_meta( $user_id, 'wpep_disable_email_weekly_recap', intval( $_POST['wpep_disable_email_weekly_recap'] ) );
  }

}
