<?php
namespace WPEP\Admin\Coordinator;

class LearningCenter {

  /**
   * @var LearningCenter\Content
   */
  public $content;

  /**
   * @var LearningCenter\WalkTrough
   */
  public $walkTrough;

  public $tabs = [
    'walk-trough' => 'Walk-Throughs',
    'content'     => 'Video Content'
  ];

  public function __construct() {
    $this->content    = new LearningCenter\Content();
    $this->walkTrough = new LearningCenter\WalkTrough();
  }

  public function setup() {
    add_action( 'admin_menu', [ $this, '_register_menu' ], 15 );
  }

  public function _register_menu() {
    add_submenu_page(
      'edit.php?post_type=' . WPEP_POST_TYPE_COURSE,
      __("WPEP Learning Center", 'wpep'),
      __( "Learning Center", 'wpep'),
      WPEP_CAP_LEARNING_CENTER,
      "wpep-learning-center",
      [ $this, "display" ]
    );
  }

  public function display() {
    $tab = ( isset( $_GET[ 'tab' ] ) ? $_GET[ 'tab' ] : false );
    $tab = ( !isset( $this->tabs[ $tab ] ) ? key( $this->tabs ) : $tab );

    echo '<div class="wrap wpep-learning-center-container">';
    echo '<h2>' . __( "WPEP Learning Center", 'wpep') . '</h2>';
    echo '<hr/>';

    $this->show_tabs( $tab );

    if( $tab == 'content' )
      $this->content->display();
    else
      $this->walkTrough->display();

    echo '</div>';
  }

  public function show_tabs( $current = 'homepage' ) {
    echo '<h2 class="nav-tab-wrapper">';
    foreach( $this->tabs as $tab => $tab_name ){
      $class = ( $tab == $current ) ? ' nav-tab-active' : '';
      echo "<a class='wpep-settings-tab-$tab nav-tab$class' href='?post_type=" . WPEP_POST_TYPE_COURSE . "&page=wpep-learning-center&tab=$tab'>";
      echo    '<span>' . $tab_name . '</span>';
      echo "</a>";

    }
    echo '</h2>';

    echo '<div class="clearfix"></div>';
  }

}