<?php

namespace WPEP\Admin\Coordinator\PlatformHealth;

use WPEP\Controller as WPEP_Controller;

class Export extends Skeleton {

  public function get_name() {
    return __( "Export", "wpep" );
  }

  public function get_alias() {
    return 'export';
  }

  public function display() {
    echo '<div class="wpep-system-report">';

    echo    '<p>' . __( "If you submit a support request, it is recommended that you send us this information, it helps us debug the issues easier and understand your system ", "wpep" ) . '</p>';

    echo    '<textarea style="width:100%;min-height:400px;">';

    $i = 1; foreach( WPEP_Controller::instance()->platformHealth->get_report() as $report_key => $report_group ) {
      if( $i != 1 )
        echo "\n";

      echo '---------- ' . $report_group['name'] . ' ----------' . "\n\n";

      foreach( $report_group['entries'] as $report_entry_key => $report_entry_data )
        echo wpep_format_report_data_to_line( $report_entry_key, $report_entry_data ) . "\n";

      $i++;
    }

    echo    '</textarea>';

    echo '</div>';

  }

}