<?php

namespace WPEP\Admin\Coordinator\Settings;

use WPEP\Controller as WPEP_Controller;
use WPEP\Settings   as WPEP_Settings;

class Dashboard extends Skeleton {

  public function get_name() {
    return __( 'Dashboard', "wpep" );
  }

  public function get_alias() {
    return 'dashboard';
  }

  public function display_as_form() {
    return false;
  }

  public function display() {
    $addon_settings_list = WPEP_Controller::instance()->addOns->get_add_on_settings_list();

    echo '<div class="wpep-settings-dashboard">';

    echo '<h2>' . __( "Direct Access Links to WPEP Core Features, Settings & Options :", "wpep" ) . '</h2>';

    foreach( WPEP_Controller::instance()->adminController->settings->get_settings_pages() as $tab_key => $tab ) {
      if( $tab->get_alias() === 'dashboard' )
        continue;

      if( !isset( $tab->tabs ) )
        continue;

      echo '<div class="wpep-settings-dashboard-item">';
      echo    '<h2 class="wpep-settings-tab-' . $tab->get_alias() . '">' . $tab->get_name() . '</h2>';
      echo    '<ul>';

      foreach( $tab->tabs as $inner_tab_key => $inner_tab ) {
        echo '<li>';
        echo  '<a class="wpep-settings-tab-' . $tab->get_alias() . '-' . $inner_tab_key . '" href="?post_type=' . WPEP_POST_TYPE_COURSE . '&page=wpep-settings&tab=' . $tab->get_alias() . '&tab_inner=' . $inner_tab_key . '">';
        echo    '<span>' . $inner_tab . '</span>';
        echo  '</a>';
        echo '</li>';
      }

      echo    '</ul>';
      echo '</div>';
    }

    if( !empty( $addon_settings_list ) ) {
      echo '<div class="wpep-settings-dashboard-item">';
      echo    '<h2 class="wpep-settings-tab-addon">' . __( "AddOn Settings" ) . '</h2>';
      echo    '<ul>';

      foreach( $addon_settings_list as $inner_tab_key => $addon ) {
        $image = '';

        if( $addon->get_controller() != false )
          $image = WPEP_Controller::instance()->adminController->addOnsSection->get_addon_image_by_controller_information( $addon->get_controller()->get_information() );

        $class = '';

        if( $image != '' )
          $class .= 'wpep-has-image';

        echo '<li>';
        echo  '<a class="' . $class . '" href="?post_type=' . WPEP_POST_TYPE_COURSE . '&page=wpep-settings&tab=addon&addon=' . $addon->get_alias() . '">';
        echo    ( $image !== '' ? '<img src="' . $image . '"/>' : '' );
        echo    '<span>' . $addon->get_name() . '</span>';
        echo  '</a>';
        echo '</li>';
      }

      echo    '</ul>';
      echo '</div>';
    }

    echo '</div>';
  }

}
