<?php

namespace WPEP\Admin\Coordinator\Settings;

use WPEP\Admin\Container\Configuration as WPEP_Container_Configuration;

abstract class Skeleton {

  use WPEP_Container_Configuration;

  public function __construct() {
    $this->set_field_prefix( 'wpep_settings' );

    if( method_exists( $this, '_setup_tabs' ) )
      $this->_setup_tabs();
  }
  
  public $tabs         = [];

  abstract public function get_name();

  abstract public function get_alias();

  public function display_tabs( $current = false ) {
    echo '<h3 class="wpep-settings-navigation wpep-settings-secondary-navigation nav-tab-wrapper">';

    foreach( $this->tabs  as $tab => $tab_name ){
      $class = ( $tab == $current ) ? ' nav-tab-active' : '';
      echo "<a class='wpep-settings-tab-" . $this->get_alias() . "-" . $tab . " nav-tab$class' 
               href='?post_type=" . WPEP_POST_TYPE_COURSE . "&page=wpep-settings&tab=" . $this->get_alias() . "&tab_inner=$tab'>" . $tab_name . "</a>";

    }

    echo '</h3>';
  }

  public function display_tabs_section( $tab_list, $current_secondary = false, $current_primary = false ) {
    echo '<h4 class="wpep-settings-navigation wpep-settings-tertiary-navigation nav-tab-wrapper">';

    foreach( $tab_list  as $tab => $tab_name ){
      $class = ( $tab == $current_secondary ) ? ' nav-tab-active' : '';
      echo "<a class='nav-tab$class' href='?post_type=" . WPEP_POST_TYPE_COURSE . "&page=wpep-settings&tab=" . $this->get_alias() . "&tab_inner=$current_primary&tab_inner_section=$tab'>" . $tab_name . "</a>";

    }

    echo '</h4>';
  }

  public function display_as_form() {
    return true;
  }

}