<?php

namespace WPEP\Admin\Coordinator\Statistics;

use WPEP\Controller as WPEP_Controller;

class Assessments extends Skeleton {

  public $dashboard;
  public $single;
  public $user;
  public $userSingle;

  public function __construct() {
    $this->dashboard  = new Assessments\Dashboard();
    $this->single     = new Assessments\Single();
    $this->user       = new Assessments\User();
    $this->userSingle = new Assessments\UserSingle();
  }

  public function get_name() {
    return __( 'Assessments', "wpep" );
  }

  public function get_alias() {
    return 'assessments';
  }

  public function display( $filter_by = [] ) {
    $assessment_id = ( isset( $_GET['assessment_id'] ) ? intval( $_GET['assessment_id'] ) : 0 );

    if( $assessment_id != 0 ) {
      if( !wpep_user_has_statistics_access_for_post( $assessment_id ) ) {
        echo '<br/>';
        echo '<div class="wpep-notification wpep-notification-danger">' . __( "You do not have access to this page", "wpep" ) . '</div>';
        return;
      }

      if( isset( $_GET['user_id'] ) ) {
        $this->userSingle->display( $assessment_id, $_GET['user_id'] );

        return;
      }

      $this->single->display( $assessment_id, $filter_by );

      return;
    }

    if( isset( $_GET['user_id'] ) ) {
      $this->user->display( $_GET[ 'user_id' ] );

      return;
    }

    $this->dashboard->display( $filter_by );
    return;
  }

  public function download( $filter_by = [] ) {
    $assessment_id = ( isset( $_GET['assessment_id'] ) ? intval( $_GET['assessment_id'] ) : 0 );

    if( $assessment_id != 0 ) {
      if( !wpep_user_has_statistics_access_for_post( $assessment_id ) ) {
        echo '<br/>';
        echo '<div class="wpep-notification wpep-notification-danger">' . __( "You do not have access to this page", "wpep" ) . '</div>';
        return;
      }

      if( isset( $_GET['user_id'] ) ) {
        return;
      }

      $this->single->download( $assessment_id, $filter_by );

      return;
    }

    if( isset( $_GET['user_id'] ) ) {
      $this->user->download( $_GET[ 'user_id' ] );

      return;
    }

    $this->dashboard->download( $filter_by );
    return;
  }

}
