<?php
namespace WPEP\Coordinator\Ajax;

use WPEP\Controller as WPEP_Controller;

class Search {

  public function __construct() {
    add_action('wp_ajax_wpep_search', [ $this, 'search' ] );
    add_action('wp_ajax_nopriv_wpep_search', [ $this, 'search' ] );
  }

  public function search() {
    if( !isset( $_POST[ 'wpep_search_term' ] ))
      exit( json_encode( [
        'status'    => 'ok',
        'response'  => '<p class="wpep-notification wpep-notification-danger">' . __( "Search term not included", "wpep" ) . '</p>'
      ] ) );

    // Post Types & Search Term are sanitized by the final function.

    exit( json_encode( [
      'status'    => 'ok',
      'response'  => WPEP_Controller::instance()->template->get_template(
        'search/results.php', [
          'search_result_list' => wpep_search_content(
            $_POST['wpep_search_term'],
            ( isset( $_POST['wpep_search_post_types'] ) ? $_POST['wpep_search_post_types'] : [] ),
            wpep_get_setting( 'search-results-number' ),
            [
              'include_categories'  => ( isset( $_POST['wpep_search_include_categories'] ) ? $_POST['wpep_search_include_categories'] : '' ),
              'exclude_categories'  => ( isset( $_POST['wpep_search_exclude_categories'] ) ? $_POST['wpep_search_exclude_categories'] : '' )
            ]
          )
        ]
      )
    ] ) );
  }



}