<?php
namespace WPEP\Coordinator\Ajax;

use WPEP\Controller as WPEP_Controller;

class Video {

  public function __construct() {
    add_action('wp_ajax_wpep_primary_content_video', [ $this, 'primary_content_video' ] );
    add_action('wp_ajax_nopriv_wpep_primary_content_video', [ $this, 'primary_content_video' ] );
  }

  public function primary_content_video() {
    if( !isset( $_POST['video_id'] ) )
      exit( json_encode( [
        'status'  => 'error',
        'error'   => __( "The video_id has not been provided.", "wpep" )
      ] ) );

    $video_post = get_post( intval( $_POST['video_id'] ) );

    if( $video_post === null )
      exit( json_encode( [
        'status'  => 'error',
        'error'   => __( "The video_id is not a valid Video Post Type.", "wpep" )
      ] ) );

    exit( json_encode( [
      'status'        => 'ok',
      'video_id'      => $video_post->ID,
      'video_content' => wpep_content_primary_video_post_type_content( $video_post )
    ] ) );
  }

}