<?php

namespace WPEP\Coordinator\Content\Primary;

class GridItem {

  public function __construct() {
    add_filter( 'wpep_grid_item_class', [ $this, 'grid_item_class' ], 10, 2 );
    add_filter( 'wpep_grid_item_hover_bar_style', [ $this, 'grid_item_hover_bar_style' ], 5, 3 );
  }

  public function course_grid_has_progress_bar() {
    return apply_filters( 'wpep_primary_content_grid_courses_progress_bars', wpep_get_setting_flag( 'index-page-progress-bars' ) );
  }

  public function grid_item_class( $class, $post_id ) {
    $included_id = [];

    $post_categories = wp_get_post_terms($post_id, 'course_category', [ "fields" => "all" ] );

    foreach( $post_categories as $post_category ) {
      if( !in_array( $post_category->term_id, $included_id ) ) {
        $class .= ' course-grid-item-category-' . $post_category->term_id;

        $included_id[] = $post_category->term_id;
      }

      if( $post_category->parent != 0 && !in_array( $post_category->parent, $included_id ) ) {
        $class .= ' course-grid-item-category-' . $post_category->parent;

        $included_id[] = $post_category->parent;
      }
    }

    return $class;
  }

  public function grid_item_hover_bar_style( $style, $post_id, $post_type ) {
    if( $post_type != WPEP_POST_TYPE_COURSE )
      return $style;

    $identity_color = get_post_meta( $post_id, 'identity_color', true );

    if( $identity_color == '' || $identity_color == '#' )
      return $style;

    return 'background : ' . $identity_color . ';';
  }

}