<?php

namespace WPEP\Coordinator\Content\Single;

use WPEP\Controller as WPEP_Controller;

class LearnMap extends ExecutionPlan {

  public $has_next_suggestions = true;
  public $has_next_suggestions_after_completion = false;

  /**
   * LearnMap constructor.
   * @param $current_course_id
   */
  public function __construct( $current_course_id ) {
    $this->_skeleton_init( $current_course_id );

    $this->show_quick_continue = false;
  }

  public function get_alias() {
    return WPEP_COURSE_TYPE_LEARN_MAP;
  }

  public function init() {
    add_filter( 'wpep_single_content_sidebar_active', function() { return false; }, 50 );
  }

  public function content() {
    $response = '';

    if( apply_filters('wpep_course_single_content_include_header', true ) )
      $response .= $this->get_header();

    $args = $this->get_form_args();

    $response .= apply_filters(
      'wpep_single_content_form_html',
      WPEP_Controller::instance()->template->get_template( 'course-single/learn-map.php', $args ),
      $args
    );

    return $response;
  }

}