<?php

namespace WPEP\Coordinator;

use WPEP\Controller as WPEP_Controller;

class Email {

  public function send( $email_address, $email_title, $email_content ) {
    $headers =  'Content-Type: text/html; charset=UTF-8' . "\r\n";

    if( wpep_get_setting( 'email-from-name' ) != '' && wpep_get_setting( 'email-from-email' ) != '' )
      $headers .= 'From: ' . wpep_get_setting( 'email-from-name' ) . ' <' . wpep_get_setting( 'email-from-email' ) . '>' . "\r\n";

    if( is_array( $email_address ) ) {
      foreach( $email_address as $email )
        $this->_send( $email, $email_title, $email_content, $headers);
    } else {
      $this->_send( $email_address, $email_title, $email_content, $headers);
    }
  }

  private function _send( $email_address, $email_title, $email_content, $headers ) {
    $email_logo = wpep_get_setting( 'email-logo', WPEP_PLACEHOLDER_IMAGE );

    $email_content = wpautop( $email_content );

    $email_content = WPEP_Controller::instance()->template->get_template( 'email-template/layout.php', [
      'email_title'     => $email_title,
      'email_content'   => $email_content,
      'email_logo'      => $email_logo
    ] );

    $email_content = apply_filters( 'wpep_email_content_html', $email_content );

    wp_mail( $email_address, $email_title, $email_content, $headers);
  }

}