<?php

namespace WPEP\Coordinator;

use WPEP\Controller as WPEP_Controller;

class Notifications {

  private $notifications = [];

  public function setup() {
    add_action( "wpep_before_main_content", [ $this, '_wpep_before_main_content' ], 50 );
  }

  public function display_notification( $content, $type = 'default' ) {
    echo '<p class="wpep-notification wpep-notification-' . $type . '">' . $content . '</p>';
  }

  public function add_notification( $content, $type = 'success' ) {
    $this->notifications[] = [
      'content' => $content,
      'type'    => $type
    ];
  }

  public function _wpep_before_main_content() {
    foreach( $this->notifications as $notification ) {
      if( !is_array( $notification ) )
        $notification = [ 'content' => $notification ];
      else if( !isset( $notification['content'] ) )
        continue;

      $notification['type'] = ( isset( $notification['type'] ) ? $notification['type'] : 'default' );

      $this->display_notification( $notification['content'], $notification['type'] );
    }

    remove_action( "wpep_before_main_content", [ $this, '_wpep_before_main_content' ], 50 );
  }


}

