<?php

namespace WPEP\Coordinator;

use WPEP\Controller as WPEP_Controller;

class PostComments {

  public $integrations = [];

  public function setup() {
    add_action( 'init', [ $this, '_init' ], 100 );
  }

  public function _init() {
    $this->integrations = apply_filters( 'wpep_post_comments_register_instance', $this->integrations );

    if( empty( $this->integrations ) )
      return;
  }

  /**
   * @param $namespace
   * @return \WPEP_Post_Comments_Integration|false
   */
  public function get( $namespace ) {
    return isset( $this->integrations[ $namespace ] ) ? $this->integrations[ $namespace ] : false;
  }

}