<?php
namespace WPEP\Coordinator\ShortCode;

use WPEP\Controller as WPEP_Controller;
use WPEP\Entity\Course as Entity_Course;

class Lesson {
  
  public function __construct() {
    add_shortcode( 'wpep_lesson_content', [ $this, 'lesson_content' ] );
  }

  public function lesson_content( $attributes, $content ) {
    if( !isset( $attributes['lesson'] ) )
      return '<p class="wpep-notification wpep-notification-danger">' . __( "wpep_lesson_content - Missing lesson parameter", "wpep" ) . '</p>';

    $lesson = Entity_Course::instance()->get_lesson( intval( $attributes['lesson'] ) );

    if( !isset( $lesson->content ) )
      return '<p class="wpep-notification wpep-notification-danger">' . __( "wpep_lesson_content - lesson content is missing.", "wpep" ) . '</p>';


    return wpep_format_content( $lesson->content );
  }

}