<?php

namespace WPEP\Posts;

/**
 * declare Courses class.
 *
 * @since        1.0
 */
class Assessment extends Skeleton {


  /**
   * config custom post type.
   *
   * @access    public
   * @static
   * @return      void
   * @since       1.0
   */
  public static function config() {
    if( !wpep_get_setting_flag( 'enable-course-assessments' ) )
      return;

    $post_config = [
      'supports'            => [ 'title' ],
      'taxonomies'          => [],
      'hierarchical'        => false,
      'public'              => true,
      'show_ui'             => true,
      'show_in_menu'        => 'edit.php?post_type=' . WPEP_POST_TYPE_COURSE,
      'show_in_nav_menus'   => false,
      'show_in_admin_bar'   => true,
      'menu_position'       => 100,
      'menu_icon'           => '',
      'can_export'          => true,
      'has_archive'         => false,
      'exclude_from_search' => false,
      'publicly_queryable'  => true,
      'capabilities' => [
        'create_posts'          => 'do_not_allow'
      ],
      'capability_type'     => WPEP_POST_CAP_ASSESSMENT,
      'map_meta_cap'        => true,
      'rewrite' => [
        'slug'  => wpep_get_setting( 'rewrite-slug-assessment', 'wpep_assessment' )
      ]
    ];

    self::$post_config['singular_name'] = 'Assessment';
    self::$post_config['plural_name']   = 'Assessments';
    self::$post_config['config']        = $post_config;
    self::$post_config['post_type']     = WPEP_POST_TYPE_ASSESSMENT;

    self::register();
  }

}
