<?php

namespace WPEP;

use WPEP\Controller as WPEP_Controller;

class Settings {

  /**
   * @var Settings
   */
  protected static $_instance;

  public static function instance() {
    if( self::$_instance === null )
      self::$_instance = new self();

    return self::$_instance;
  }

  public $defaultOptions = [
    'setup-rewrite-rules-flushed' => 1,
    'menu-position'               => 3,
    'enforce-rtl-support'         => 0,
    'opt-course-index'            => 0,
    'opt-course-heading'          => '',
    'opt-course-sub-heading'      => '',
    'opt-course-progressbar'      => 'The Completion Level of Your Training.',
    'opt-course-start-text'       => 'START',
    'opt-course-coming-soon'      => 'Coming Soon',
    'opt-course-secondary-filter' => 'Filter By',
    'opt-course-author-box'       => 0,
    'opt-course-percentage-bar'   => 1,
    'wpep-theme'                  => 'legacy',
    'wpep-custom-css'             => '',
    'wpep-custom-color'           => '',
    'wpep-custom-color-secondary' => '',
    'wpep-custom-font-size'       => '',
    'wpep-custom-font-family'     => '',
    'wpep-custom-css-by-file'     => 1,
    'disable-secondary-permalink' => 1,
    'show-lesson-continue-button' => 0,
    'show-lesson-hover-color'     => 0,
    'lesson-learning-path-placeholder'  => 'Select Learning Path',
    'lesson-quick-continue-button-text' => 'Next',
    'wpep-editor-setup'      => 'default',
    'lesson-wp-editor-preload'        => 1,
    'lesson-wp-editor-enabled-new'    => 1,
    'lesson-continue-button-position' => 'default',
    'course-layout-content-editor'    => 0,
    'admin-course-preset-sections'    => 2,
    'admin-course-preset-lessons'     => 2,
    'admin-course-save-alert'         => 1,
    'admin-editor-integration'        => 1,
    'prerequisite-suggested-notification'  => 'In order to start this Course you need to go thru %s first.',
    'prerequisite-required-notification'   => 'In order to start this Course you need to complete the following %s first.',
    'prerequisite-next-courses-title'      => "What's next ?",
    'prerequisite-course-button-lock'      => 0,
    'prerequisite-course-button-lock-text' => "Not Available",
    'course-downloads-basic'               => 0,
    'course-downloads-list-title'          => "Available Deliverables",
    'course-downloads-list-download'       => "Download",
    'course-use-the-content-filter'        => 1,
    'course-resize-wistia-embeds'          => 0,
    'course-standard-allow-index-page'        => 0,
    'course-standard-allow-index-page-widgets'=> 1,
    'course-standard-redirect-on-completion'  => 0,
    'course-standard-section'         => 'Section',
    'course-standard-lesson'          => 'Lesson',
    'course-standard-start-lesson'    => 'Start Lesson',
    'course-standard-section-list'    => 'Section List : ',
    'course-standard-course-progress' => 'Course Progress',
    'course-standard-course-navigation' => 'Course Navigation',
    'course-standard-lesson-completed'  => 'This lesson has been completed.',
    'course-standard-complete-lesson'   => 'Complete Lesson',
    'course-standard-previous-lesson'   => 'Previous Lesson',
    'course-standard-next-lesson'       => 'Next Lesson',
    'course-video-allow-index-page'        => 1,
    'course-video-redirect-on-completion'  => 0,
    'course-video-course-status'         => 'Course Status',
    'course-video-course-status-pending'  => 'Pending',
    'course-video-course-status-progress' => 'Progressing',
    'course-video-course-status-completed'=> 'Completed',
    'course-video-course-table-sections'  => 'Sections',
    'course-video-course-table-status'  => 'Status',
    'course-video-lesson-back'          => 'Back to Overview',
    'course-video-lesson-description'   => 'Available Downloads',
    'course-video-lesson-completed'     => 'Video has been watched.',
    'course-video-lesson-complete'      => "Mark as completed.",
    'course-video-previous-lesson'      => 'Previous Video',
    'course-video-next-lesson'          => 'Next Video',
    'course-video-course-progress'      => 'Course Progress',
    'course-video-start-section'        => 'Start Section',
    'offer-information-map-default'     => [
      'Discount Offered' => '',
      'Duration'         => '',
      'Promo Code'       => ''
    ],
    'course-basic-enable-video-description' => 0,
    'course-basic-complete-course'          => 'Complete Course',
    'course-basic-course-completed'         => 'Course Completed',
    'course-basic-jump-link-title'          => 'Video Index',
    'user-auth-enable-registration'       => 1,
    'user-auth-status-level'              => 0,
    'user-auth-sidebar-marketing-status'  => 0,
    'user-auth-sidebar-marketing-content' => '',
    'user-auth-field-login-identifier'    => "Username or Email Address",
    'user-auth-field-username'            => "Username",
    'user-auth-field-first-name'          => "First Name",
    'user-auth-field-last-name'           => "Last Name",
    'user-auth-field-location'            => "Location",
    'user-auth-field-sid'                 => "Student Identification",
    'user-auth-field-website'             => "Website",
    'user-auth-field-about-me'            => "About Me",
    'user-auth-field-email-address'       => "Email Address",
    'user-auth-field-password'            => "Password",
    'user-auth-field-remember-me'         => "Remember me",
    'user-auth-open-tab-register'         => "Register Account",
    'user-auth-open-tab-reset-password'   => "Reset Password",
    'user-auth-open-tab-login'            => "I already have an Account",
    'user-auth-return-to-login'           => "Return to Login",
    'user-auth-operation-login'           => "Login",
    'user-auth-operation-register'        => "Register",
    'user-auth-operation-reset-password'  => "Reset Password",
    'user-auth-notification-please-register'        => "Register an account by completing the following fields.",
    'user-auth-notification-page-expired'           => "The page has expired, please again in a few moments.",
    'user-auth-notification-login-details-required' => "Please enter your username and password",
    'user-auth-notification-password-incorrect'     => "The password you entered is incorrect",
    'user-auth-notification-logged-in'              => "You have been logged in successfully, please wait a moment",
    'user-auth-notification-account-registered'     => "Your account has been created, we're logging you in, please wait a moment",
    'user-auth-notification-password-reset'         => "Please check your email address for instructions.",
    'user-auth-notification-already-logged-in'      => "You're already logged in, please wait a few moments.",
    'user-profile-default-profile-picture'  => WPEP_PROFILE_PLACEHOLDER_IMAGE,
    'user-profile-default-cover-picture'    => WPEP_PROFILE_COVER_PLACEHOLDER_IMAGE,
    'user-profile-heading'                  => "User Profile : %s",
    'user-profile-change-picture-button'    => "Change",
    'user-profile-public-active'        => 0,
    'user-profile-public-slug'          => '',
    'user-profile-marketing-content-status'         => 0,
    'user-profile-marketing-content'                => '',
    'user-profile-email-notification-weekly-recap' => 'Weekly Recap',
    'user-profile-update-button' => 'Save',
    'user-profile-tab-progressing-courses'    => 'Progressing',
    'user-profile-tab-completed-courses'      => 'Completed',
    'user-profile-tab-bookmarked-courses'     => 'My Bookmarks',
    'user-profile-courses-per-row'            => WPEP_ITEMS_PER_ROW_DYNAMIC,
    'user-profile-course-public-progress-bars'=> 0,
    'user-profile-course-public-email-address'=> 0,
    'user-profile-change-picture'             => 'Change Profile Picture - Recommended size 270x270',
    'user-profile-change-picture-cover'       => 'Change Cover Picture - Recommended size 840x400',
    'user-profile-enabled-social-networks'    => [
      'facebook', 'twitter', 'instagram', 'linkedin'
    ],
    'user-profile-tab-link-format'            => 'label',
    'user-profile-custom-tabs-enabled'        => 0,
    'user-profile-custom-tabs'                => [],
    'user-profile-custom-tabs-position'       => 'right',
    'index-page-enable-filter-all-categories' => 0,
    'index-page-enable-hover-image'           => 0,
    'index-page-single-category-primary-view' => 0,
    'index-page-progress-bars'                => 0,
    'index-page-enforce-ordering'             => 0,
    'index-page-categories-per-row'           => 0,
    'index-page-courses-per-row'              => 3,
    'index-page-ebooks-per-row'               => 3,
    'index-page-offers-per-row'               => 3,
    'index-page-filter-all-categories-title'  => 'All Topics',
    'index-page-filter-all-categories-image'  => '',
    'index-page-start-text-color'             => '',
    'index-page-start-text-color-background'  => '',
    'index-page-ribbon-text-color'             => '',
    'index-page-ribbon-text-color-background'  => '',
    'ebook-redirect-display'                  => 0,
    'ebook-redirect-message'                  => "Please wait a few moments...",
    'ebook-redirect-button'                   => "Don't wait",
    'video-archive-title'                     => "Archive",
    'video-watch-now'                         => "Watch Now",
    'layout-max-width'                        => 1024,
    'layout-background-color'                 => '',
    'layout-padding'                          => 'default',
    'layout-box-shadow'                       => 'default',
    'rewrite-slug-courses'                    => 'courses',
    'rewrite-slug-ebook'                      => 'ebook',
    'rewrite-slug-video'                      => 'video',
    'rewrite-slug-offer'                      => 'offer',
    'rewrite-slug-assessment'                 => 'wpep_assessment',
    'rewrite-slug-categories'                 => 'course_category',
    'enable-course-archive'                   => 1,
    'enable-ebooks-archive'                   => 1,
    'enable-videos-archive'                   => 1,
    'enable-offers-archive'                   => 1,
    'enable-course-deliverables'              => 1,
    'enable-course-comments'                  => 0,
    'enable-course-assessments'               => 0,
    'enable-course-bookmarks'                 => 0,
    'enable-course-timing-option'             => 0,
    'enable-lesson-incomplete-option'         => 0,
    'enable-post-member-magnet-option'        => 0,
    'enable-post-member-magnet-interaction'   => 1,
    'enable-course-tracking-code-option'      => 0,
    'email-weekly-recap-status'                     => 0,
    'email-weekly-recap-title'                      => 'Your weekly recap is here : [date].',
    'email-weekly-recap-content'                    => 'Hello [user_name],
Hope you a great weekend!
[condition_has_activity]
Here is a Quick Summary of your stats from last week :
You have completed [number_lessons_completed] lessons.
[condition_has_completed_courses]
Recently Completed Courses
[list_courses_completed]
[/condition_has_completed_courses]
[condition_has_started_courses]
Courses You Started
[list_courses_started]
[/condition_has_started_courses]
[/condition_has_activity]
[condition_no_activity]

Just a quick reminder for you that you still have some great content waiting for you.

<a href="[site_url]">[site_url]</a>

[/condition_no_activity]

If you want to disable these emails, please update your profile settings, or contact an administrator.',
    'email-logo'                             => '',
    'email-company-name'                     => '',
    'email-company-address'                  => '',
    'email-copyright-text'                   => '',
    'email-from-name'                        => '',
    'email-from-email'                       => '',
    'assessment'        => 'Assessment',
    'assessment-time-text' => 'You have a limited amount of time to complete this Assessment.',
    'assessment-time-start'=> 'Start Now',
    'assessment-view'   => 'View Assessment',
    'assessment-questions'         => 'Questions',
    'assessment-questions-correct' => 'Questions Correct',
    'assessment-view-questions' => 'View Questions',
    'assessment-retake'         => 'Retake Assessment',
    'assessment-status'         => 'Status',
    'assessment-status-label-pending'         => 'Pending',
    'assessment-status-label-pending_review'  => 'Pending Review',
    'assessment-status-label-completed'       => 'Completed',
    'assessment-status-label-failed'          => 'Failed',
    'assessment-success-message'  => "<p>Completing this assessment enables you to continue the course.</p>
                                      <p>You can continue the Course by clicking the 'Continue to Course' button.</p>",
    'assessment-time-remaining'   => 'Time left : ',
    'assessment-time-allowed'     => 'Assessment Time',
    'assessment-part-prev'        => 'Previous Question',
    'assessment-part-next'        => 'Next Question',
    'assessment-submit'           => 'Submit Answers',
    'assessment-save'             => 'Save Answers',
    'assessment-return-to-course' => 'Return to Course',
    'assessment-go-to-course'     => 'Continue to Course',
    'assessment-score'            => 'Assessment Score',
    'assessment-score-requirement' => 'Required to Pass',
    'assessment-file-upload'      => 'Upload File',
    'assessment-input-placeholder'=> 'Write the answer to the question...',
    'assessment-status-pending'        => 'You have not submitted your answers for this assessment yet.',
    'assessment-status-pending-review' => 'The Assessment is currently being reviewed.',
    'assessment-status-completed'      => 'The Assessment has been completed successfully.',
    'assessment-status-failed'         => 'The Assessment has not been successfully completed',
    'assessment-question-status-correct'        => 'The answer provided is correct.',
    'assessment-question-status-incorrect'      => 'The answer provided is incorrect.',
    'search-course-content'     => 1,
    'search-course-description' => 1,
    'search-results-number'     => 5,
    'search-no-results-found'   => 'No results found',
    'search-input-placeholder'  => 'Search',
    'search-image-ribbon'       => 1,
    'enable-sid-support'            => 0,
    'user-content-embed-box-inside-embeds'       => 1,
    'user-content-embed-box-enabled'             => 0,
    'user-content-embed-box-title'               => 'Share This Course!',
    'user-content-embed-box-description'         => '<p style="text-align: center;">Embed this course on your own website.</p>
                                                     <p style="text-align: center;">Simply Copy and Paste the embed code onto any Page.</p>',
    'user-content-embed-box-button'              => 'Copy Embed Code',
    'user-content-embed-box-button-clicked'      => 'Copied !',
    'comments-refresh-ms-interval'               => 5,
    'comments-search-label'                      => 'Search',
    'comments-per-page'                          => 5,
    'comments-notification-content-empty'        => 'You cannot send an empty comment.',
    'comments-button-reply'                      => 'Reply',
    'comments-button-cancel-reply'               => 'Cancel Reply',
    'comments-button-submit'                     => 'Send Answer',
    'comments-navigation-previous'               => 'Previous',
    'comments-navigation-next'                   => 'Next'
  ]; 

  public $options;

  public $option_name = 'wpep_opts';

  public function __construct() {
    $this->options = get_option( $this->option_name, $this->defaultOptions );
  }

  /**
   * @param $option_name
   * @return string
   */
  public function get_option_translated( $option_name ) {
    if( isset( $this->options[$option_name] ) )
      return $this->options[$option_name];

    if( isset( $this->defaultOptions[$option_name] ) )
      return __( $this->defaultOptions[$option_name], "wpep" );

    return $option_name;
  }

  public function get_option( $option_name, $default = '' ) {
    if( is_array( $option_name ) ) {
      $response = [];

      foreach( $option_name as $option )
        $response[ $option ] = $this->get_option( $option, $default );

      return $response;
    }

    if( isset( $this->options[$option_name] ) )
      return $this->options[$option_name];

    if( $default == '' && isset( $this->defaultOptions[$option_name] ) )
      return $this->defaultOptions[$option_name];

    return $default;
  }

  public function has_changed_setting( $check_setting = [] ) {
    if( is_string( $check_setting ) )
      return ( !isset( $this->defaultOptions[ $check_setting ] ) ? true : $this->get_option( $check_setting ) != $this->defaultOptions[ $check_setting ] );

    foreach( $check_setting as $current_check )
      if( $this->has_changed_setting( $current_check ) )
        return true;

    return false;
  }

  /**
   * When the settings update is silent, it means it's an update or activation operation.
   * @param $options
   * @param bool $silent
   * @return bool
   */
  public function update_settings( $options, $silent = false ) {
    foreach( $options as $option_key => $option_value ) {
      if( in_array( $option_key, [ 'rewrite-slug-courses', 'rewrite-slug-video', 'rewrite-slug-ebook', 'rewrite-slug-offer', 'rewrite-slug-assessment' ] ) )
        $option_value = sanitize_title( $option_value );

      $option_value = wpep_utilities_sanitize_input( $option_value );

      if( $this->defaultOptions[ $option_key ] == $option_value ) {
        unset( $this->options[$option_key] );
        continue;
      }

      $this->options[$option_key] = $option_value;
    }

    update_option( $this->option_name, $this->options );

    if( $silent )
      return true;

    if(
      isset( $options['enable-course-assessments'] )
      || isset( $options['user-profile-public-active'] )
      || isset( $options['enable-course-archive'] )
      || isset( $options['enable-ebooks-archive'] )
      || isset( $options['enable-videos-archive'] )
      || isset( $options['enable-offers-archive'] )
      || isset( $options['rewrite-slug-courses'] )
      || isset( $options['rewrite-slug-video'] )
      || isset( $options['rewrite-slug-ebook'] )
      || isset( $options['rewrite-slug-offer'] )
      || isset( $options['rewrite-slug-assessment'] )
      || isset( $options['rewrite-slug-categories'] )
    )
      flush_rewrite_rules();

    if( $this->get_option( 'wpep-custom-css-by-file' )
        || isset( $options['wpep-custom-color'] )
        || isset( $options['wpep-custom-color-secondary'] )
        || isset( $options['wpep-custom-font-size'] )
        || isset( $options['wpep-custom-font-family'] )
        || isset( $options['index-page-ribbon-text-color'] )
        || isset( $options['index-page-ribbon-text-color-background'] )
    )
      wpep_refresh_custom_style_file( true );

    return true;
  }

  public function delete_setting( $options ) {
    if( !is_array( $options ) )
      $options = [ $options ];

    foreach( $options as $option_key )
      unset( $this->options[$option_key] );

    update_option( $this->option_name, $this->options );

    if( $this->get_option( 'wpep-custom-css-by-file' ) )
      wpep_refresh_custom_style_file( true );

    return true;
  }

  public function update_post_order( $post_order_list ) {
    foreach( $post_order_list as $post_id => $position )
      update_post_meta( $post_id, 'wpep_order', $position );
  }

  public function update_taxonomy_order( $taxonomy_order_list ) {
    foreach( $taxonomy_order_list as $post_id => $position )
      update_term_meta( $post_id, 'wpep_order', $position );
  }

  public function update_addon_settings( $addon_settings_map ) {
    if( !is_array( $addon_settings_map ) )
      return false;

    foreach( $addon_settings_map as $settings_alias => $settings_information ) {

      $settings_instance = WPEP_Controller::instance()->addOns->get_add_on_settings($settings_alias);

      if( $settings_instance == false )
        continue;

      $settings_instance->save_information( $settings_information );
    }

    return true;
  }

  public function get_legacy_options() {
    $response = [];

    foreach( $this->options as $option_key => $option_value )
      if( !isset( $this->defaultOptions[ $option_key ] ) )
        $response[] = $option_key;

    return $response;
  }

}
