<?php

namespace WPEP;

set_time_limit(0);
@ini_set('memory_limit','512M');

global $wpdb;

require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );

$section_table_name = $wpdb->prefix . 'wpep_section';

$sql = "CREATE TABLE IF NOT EXISTS $section_table_name (
          id       INT NOT NULL AUTO_INCREMENT,
          post_id  INT NOT NULL DEFAULT 0,
          title    VARCHAR(500) NOT NULL,
          `order`  INT NOT NULL DEFAULT 0,
          PRIMARY KEY (id))
          CHARACTER SET utf8 COLLATE utf8_general_ci
        ENGINE = InnoDB;
        );";

dbDelta( $sql );

$lesson_table_name = $wpdb->prefix . 'wpep_section_lesson';

$sql = "CREATE TABLE IF NOT EXISTS $lesson_table_name (
          id         INT NOT NULL AUTO_INCREMENT,
          section_id INT NOT NULL DEFAULT 0,
          title      VARCHAR(500) NOT NULL,
          content    LONGTEXT NOT NULL,
          `order`    INT NOT NULL DEFAULT 0,
          PRIMARY KEY (id))
          CHARACTER SET utf8 COLLATE utf8_general_ci
        ENGINE = InnoDB;
        );";

dbDelta( $sql );

$lesson_completed_table_name = $wpdb->prefix . 'wpep_section_lesson_completed';

$sql = "CREATE TABLE IF NOT EXISTS $lesson_completed_table_name (
          id         INT NOT NULL AUTO_INCREMENT,
          lesson_id  INT NOT NULL DEFAULT 0,
          user_id    INT NOT NULL DEFAULT 0,
          created_at DATETIME DEFAULT NULL,
          PRIMARY KEY (id))
        ENGINE = InnoDB;
        );";

dbDelta( $sql );

echo '<p>' . sprintf( __( "Created %s new database tables.", "wpep" ), "3" ) . '</p>';