<?php
set_time_limit(0);

global $wpdb;

function wpep_migration_1_3_0_tax_to_term( $term_id, $meta ){
  foreach ((array)$meta as $meta_name => $meta_value) {
    update_term_meta( $term_id, $meta_name, $meta_value );
  }
}

function wpep_migration_1_3_0_term_id_from_option( $option ){
  return str_replace('tax_meta_', '', $option );
}

if( version_compare( get_bloginfo( 'version' ), '4.4.0') >= 0 ) {
  $query = "SELECT option_name FROM $wpdb->options WHERE option_name LIKE 'tax_meta_%'";
  $options = $wpdb->get_col( $query );


  foreach ($options as $option) {
    $term_id = wpep_migration_1_3_0_term_id_from_option( $option );
    $meta = get_option( $option );
    wpep_migration_1_3_0_tax_to_term( $term_id, $meta );
    delete_option( $option );
  }

  echo '<p>' . sprintf( __( "Successfully migrated %s options under the new format" , "wpep" ), count( $options ) ) . '</p>';
} else {
  echo '<p>' . __( "Skipped Options migration, in case you are updating to wordpress 4.4 or above in the future, please contact support." , "wpep" ) . '</p>';
}

