<?php

namespace WPEP;

set_time_limit(0);
@ini_set('memory_limit','512M');

global $wpdb;

require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );

$assessment_question_table_name = $wpdb->prefix . 'wpep_assessment_question';

$sql = "CREATE TABLE IF NOT EXISTS $assessment_question_table_name (
          id       INT NOT NULL AUTO_INCREMENT,
          post_id  INT NOT NULL DEFAULT 0,
          title    VARCHAR(500) NOT NULL DEFAULT '',
          content  LONGTEXT NOT NULL DEFAULT '',
          `type`   VARCHAR(500) NOT NULL DEFAULT '',
          `order`  INT NOT NULL DEFAULT 0,
          PRIMARY KEY (id))
          CHARACTER SET utf8 COLLATE utf8_general_ci
        ENGINE = InnoDB;
        );";

dbDelta( $sql );

$assessment_question_answer_table_name = $wpdb->prefix . 'wpep_assessment_question_answer';

$sql = "CREATE TABLE IF NOT EXISTS $assessment_question_answer_table_name (
          id           INT NOT NULL AUTO_INCREMENT,
          post_id      INT NOT NULL DEFAULT 0,
          question     INT NOT NULL DEFAULT 0,
          title        VARCHAR(500) NOT NULL DEFAULT '',
          content      LONGTEXT NOT NULL DEFAULT '',
          `weight`     INT NOT NULL DEFAULT 0,
          `is_correct` TINYINT NOT NULL DEFAULT 0,
          `order`      INT NOT NULL DEFAULT 0,
          PRIMARY KEY (id))
          CHARACTER SET utf8 COLLATE utf8_general_ci
        ENGINE = InnoDB;
        );";

dbDelta( $sql );

$assessment_user_data = $wpdb->prefix . 'wpep_assessment_user_data';

$sql = "CREATE TABLE IF NOT EXISTS $assessment_user_data (
          id          INT NOT NULL AUTO_INCREMENT,
          user_id     INT NOT NULL DEFAULT 0,
          post_id     INT NOT NULL DEFAULT 0,
          question_id INT NOT NULL DEFAULT 0,
          question_answer_id INT NOT NULL DEFAULT 0,
          `key`       VARCHAR(100) NOT NULL DEFAULT '',
          `value`     VARCHAR(500) NOT NULL,
          created_at  DATETIME DEFAULT NULL,
          PRIMARY KEY (id))
        ENGINE = InnoDB;
        );";

dbDelta( $sql );

echo '<p>' . sprintf( __( "Created a new table : %s", "wpep" ), $assessment_question_table_name ) . '</p>';
echo '<p>' . sprintf( __( "Created a new table : %s", "wpep" ), $assessment_question_answer_table_name ) . '</p>';
echo '<p>' . sprintf( __( "Created a new table : %s", "wpep" ), $assessment_user_data ) . '</p>';
