<?php
global $wpdb;

$existing_courses = get_posts(
  [
    'post_type'   => WPEP_POST_TYPE_COURSE,
    'numberposts' => -1,
    'post_status' => [ 'publish', 'pending', 'draft', 'auto-draft', 'future', 'private', 'inherit', 'trash' ]
  ] );

$changed_values = 0;

foreach( $existing_courses as $existing_course ) {
  if( get_post_meta( $existing_course->ID, 'wpep_lead_magnet_option_status', true ) !== '' ) {
    update_post_meta(
      $existing_course->ID,
      'wpep_member_magnet_option_status',
      get_post_meta( $existing_course->ID, 'wpep_lead_magnet_option_status', true )
    );

    $changed_values++;
  }

  if( get_post_meta( $existing_course->ID, 'wpep_lead_magnet_option_form_view', true ) !== '' ) {
    update_post_meta(
      $existing_course->ID,
      'wpep_member_magnet_option_status',
      get_post_meta( $existing_course->ID, 'wpep_lead_magnet_option_form_view', true )
    );

    $changed_values++;
  }

  if( get_post_meta( $existing_course->ID, 'wpep_lead_magnet_option_text_before', true ) !== '' ) {
    update_post_meta(
      $existing_course->ID,
      'wpep_member_magnet_option_text_before',
      get_post_meta( $existing_course->ID, 'wpep_lead_magnet_option_text_before', true )
    );

    $changed_values++;
  }

  if( get_post_meta( $existing_course->ID, 'wpep_lead_magnet_option_text_after', true ) !== '' ) {
    update_post_meta(
      $existing_course->ID,
      'wpep_member_magnet_option_text_after',
      get_post_meta( $existing_course->ID, 'wpep_lead_magnet_option_text_after', true )
    );

    $changed_values++;
  }

}

echo '<p>' . sprintf( __( "Updated Courses for the Lead Magnet -> Member Magnet Change ( post_meta_changes : %s )", "wpep" ), "" . $changed_values ) . '</p>';