<?php if( !isset( $include_header ) || ( isset( $include_header ) && $include_header ) )
  wpep_template_header();
?>

<?php do_action( 'wpep_before_main_content' ); ?>

<?php do_action( 'wpep_user_profile_authentication_before' ); ?>

<?php $form_view = apply_filters( 'wpep_user_profile_authentication_form_view', ( wpep_get_setting_flag( 'user-auth-enable-registration' ) === 2 ? 'register' : 'login' ) );

$notification = apply_filters(
  'wpep_user_profile_authentication_form_notification',
  ( $form_view == 'register'
    ? '<div class="wpep-notification wpep-notification-info">' . wpep_get_setting_translated( 'user-auth-notification-please-register' ) . '</div>'
    : ''
  )
);

$field_value_email_address  = ( isset( $_GET[ 'email_address'] ) ? sanitize_email( $_GET[ 'email_address'] )   : '' );
$field_value_first_name     = ( isset( $_GET[ 'first_name'] )    ? sanitize_text_field( $_GET[ 'first_name'] ) : '' );
$field_value_last_name      = ( isset( $_GET[ 'last_name'] )     ? sanitize_text_field( $_GET[ 'last_name'] )  : '' );
$field_value_username       = ( isset( $_GET[ 'username'] )      ? sanitize_text_field( $_GET[ 'username'] )   : '' );

if( $field_value_username === '' && ( $field_value_first_name !== '' || $field_value_last_name !== '' ) )
  $field_value_username = sanitize_user( strtolower( str_replace( [ '_', '-', ' '], '', $field_value_first_name . $field_value_last_name ) ) );

$field_value_password       = ( isset( $_GET[ 'generate_password'] ) ? wp_generate_password( 8 ) : '' );

?>

  <div class="wpep-user-profile-authentication-wrapper">
    <form class="wpep-user-profile-authentication wpep-field-type-switch-container <?php echo apply_filters( 'wpep_user_profile_authentication_form_has_sidebar', wpep_get_setting_flag('user-auth-sidebar-marketing-status') ) ? 'wpep-user-profile-authentication-with-containers' : '';?>"
          data-field-type="<?php echo $form_view ?>">
      <input type="hidden" name="wpep_post_id" value="<?php echo wpep_get_current_post_id(); ?>"/>
      <input type="hidden" name="wpep_auth_nonce" value="<?php echo wp_create_nonce( 'wpep_auth_nonce' ); ?>"/>

      <?php if( apply_filters( 'wpep_user_profile_authentication_form_has_sidebar', wpep_get_setting_flag('user-auth-sidebar-marketing-status') ) ) : ?>
      <div class="left-container">
        <?php endif; ?>

        <?php do_action( 'wpep_user_profile_authentication_form_before_fields' ); ?>

        <?php if( $notification != '' ) : ?>
          <div class="wpep-notification-container wpep-visible">
            <?php echo $notification;?>
          </div>
        <?php else : ?>
          <div class="wpep-notification-container wpep-hidden"></div>
        <?php endif; ?>

        <div class="clearfix"></div>

        <div class="wpep-form-group" data-field-type="login reset_password">
          <label><?php echo wpep_get_setting_translated( 'user-auth-field-login-identifier' ); ?></label>
          <input type="text" name="login_identifier" value=""/>
        </div>

        <?php if( apply_filters( 'wpep_user_profile_authentication_form_has_register', wpep_get_setting_flag( 'user-auth-enable-registration' ) ) ) : ?>

          <div class="wpep-form-group wpep-hidden" data-field-type="register">
            <label><?php echo wpep_get_setting_translated( 'user-auth-field-username' ); ?></label>
            <input type="text" name="username" value="<?php echo $field_value_username; ?>"/>
          </div>

          <div class="wpep-form-group wpep-hidden" data-field-type="register">
            <label><?php echo wpep_get_setting_translated( 'user-auth-field-first-name' ); ?></label>
            <input type="text" name="first_name" value="<?php echo $field_value_first_name; ?>"/>
          </div>

          <div class="wpep-form-group wpep-hidden" data-field-type="register">
            <label><?php echo wpep_get_setting_translated( 'user-auth-field-last-name' ); ?></label>
            <input type="text" name="last_name" value="<?php echo $field_value_last_name; ?>"/>
          </div>

          <div class="wpep-form-group wpep-hidden" data-field-type="register">
            <label><?php echo wpep_get_setting_translated( 'user-auth-field-email-address' ); ?></label>
            <input type="text" name="email_address" value="<?php echo $field_value_email_address; ?>"/>
          </div>

        <?php endif; ?>

        <div class="wpep-form-group" data-field-type="login register">
          <label><?php echo wpep_get_setting_translated( 'user-auth-field-password' ); ?></label>
          <input type="<?php echo $field_value_password !== '' ? 'text' : 'password'; ?>" name="password" value="<?php echo $field_value_password; ?>"/>
        </div>

        <?php do_action( 'wpep_user_profile_authentication_form_after_fields' ); ?>

        <div class="wpep-form-group" data-field-type="login">
          <p class="remember-me-container">
            <label>
              <input type="checkbox" name="login_remember" id="login-remember" value=""/>
              <label for="login-remember"><?php echo wpep_get_setting_translated( 'user-auth-field-remember-me' ); ?></label>
            </label>
          </p>
        </div>

        <?php if( apply_filters( 'wpep_user_profile_authentication_form_operation_position', 'left-container' ) == 'left-container' ) : ?>
          <?php wpep_template_load( 'partial/authentication-operations.php' )?>
        <?php endif; ?>

        <?php if( apply_filters( 'wpep_user_profile_authentication_form_has_sidebar', wpep_get_setting_flag('user-auth-sidebar-marketing-status') ) ) : ?>
      </div>
      <div class="right-container">
        <?php echo apply_filters( 'wpep_user_profile_authentication_form_sidebar_content', wpep_format_content( wpep_get_setting_translated( 'user-auth-sidebar-marketing-content' ) ) ); ?>
      </div>
      <div class="clearfix"></div>
    <?php endif; ?>

      <?php if( apply_filters( 'wpep_user_profile_authentication_form_operation_position', 'left-container' ) == 'bottom-container' ) : ?>
        <div class="bottom-container">
          <?php wpep_template_load( 'partial/authentication-operations.php' )?>
        </div>
      <?php endif; ?>
    </form>
  </div>

<?php do_action( 'wpep_user_profile_authentication_after' ); ?>

<?php do_action( 'wpep_after_main_content' ); ?>

<?php

if( !isset( $include_footer ) || ( isset( $include_footer ) && $include_footer ) )
  wpep_template_footer();

?>