<?php if( !isset( $include_header ) || ( isset( $include_header ) && $include_header ) ) wpep_template_header(); ?>

<?php do_action( 'wpep_before_main_content' ); ?>

<?php while ( have_posts() ) : the_post(); ?>
<?php

$course_single_container_classes = [
  'row'         => 'row',
  'sidebar'     => ( wpep_content_primary_sidebar_active() ? 'sidebar-active' : 'sidebar-not-active' ),
  'course_type' => 'course-type-' . apply_filters( "wpep_single_content_type_alias", "none" ),
  'read_only'   => ( wpep_post_read_only( get_the_ID() ) ? 'course-read-only' : 'course-not-read-only' ),
  'course'      => 'wpep-course-single'
];

if( wpep_get_setting_flag( 'show-lesson-hover-color' ) )
  $course_single_container_classes['hover_color'] = ' wpep-hover-color-enabled';

$course_single_container_classes = apply_filters( 'wpep_single_content_type_attr_classes', $course_single_container_classes );

?>

<div class="<?php echo ( is_array( $course_single_container_classes ) ? implode( " ", $course_single_container_classes ) : 'row' ); ?>"
     data-content-type="<?php echo apply_filters( "wpep_single_content_type_alias", "none" ); ?>"
     data-enable-member-magnet-option="<?php echo intval( wpep_post_has_member_magnet_option( get_the_ID(), get_current_user_id() ) ); ?>"
     data-member-magnet-login-link="<?php echo wpep_post_member_magnet_link( get_the_ID() )?>"
     data-course-id="<?php echo get_the_ID(); ?>"
     data-user-course-started-at="<?php echo get_current_user_id() == 0 ? -1 : wpep_user_course_started_at( get_the_ID(), get_current_user_id() ) ?>"
     data-pending-timing-delay-lessons="<?php echo wpep_user_course_pending_display_lessons( get_the_ID() ); ?>"
>

  <div class="course-primary-container">

    <div class="course-primary-content" role="main">
      <?php if( wpep_get_setting_flag( 'course-use-the-content-filter' ) ) : ?>
      <?php the_content(); ?>
      <?php else : ?>
      <?php echo wpep_controller()->content->singleCoordinator->the_content_filter( __( "Course Content is not available.", "wpep" ) ); ?>
      <?php endif; ?>
    </div>

    <?php if( wpep_get_setting_flag( 'enable-course-comments' ) && ( comments_open() || get_comments_number() ) ) : ?>
      <hr/>

      <div class="wpep-course-comments">
        <?php comments_template(); ?>
      </div>
    <?php endif; ?>

  </div>

  <?php do_action( 'wpep_single_content_sidebar' );  ?>

  <div class="clearfix"></div>

</div>

<?php endwhile; // end of the loop. ?>

<?php do_action( 'wpep_after_main_content' ); ?>

<?php if( !isset( $include_footer ) || ( isset( $include_footer ) && $include_footer ) ) wpep_template_footer(); ?>

