<h1><?php echo $title; ?></h1>

<div class="wpep-content-from-editor content">
  <?php if( isset( $description ) && $description != '' ) : ?>
    <?php echo wpep_format_content( $description ); ?>
  <?php endif; ?>

  <?php if( isset( $course_video ) && $course_video != '' ) : ?>
    <?php wpep_template_load( "utilities/video-embed.php", [
        'video'           => $course_video,
        'description'     => ( isset( $course_video_description ) ? $course_video_description : [] ),
        'jump_links'      => ( isset( $course_video_jump_links )  ? $course_video_jump_links  : [] ),
        'jump_links_title'=> wpep_get_setting_translated( 'course-basic-jump-link-title' )
    ]  );?>
  <?php endif; ?>

  <?php if( isset( $course_downloads_list ) && !empty( $course_downloads_list ) ) : ?>
    <?php wpep_template_load( "utilities/downloads-list.php", [
      'downloads_list' => $course_downloads_list,
      'title'          => wpep_get_setting_translated( 'course-downloads-list-title' ),
      'button_title'   => wpep_get_setting_translated( 'course-downloads-list-download' )
    ]  ); ?>
  <?php endif; ?>
</div>

<?php if( !$course_read_only ) : ?>

  <div class="container-complete-course">
    <?php if( !$course_completed ) : ?>
      <a class="complete-course"
         href="<?php echo wp_nonce_url( get_permalink( $course_id ), 'complete-course', 'complete-course' ) ?>"
      ><?php echo apply_filters( 'wpep_course_single_content_basic_complete_course', wpep_get_setting_translated( 'course-basic-complete-course' ) );
        ?><span></span>
      </a>
    <?php else : ?>
      <a class="incomplete-course"
         href="<?php echo wp_nonce_url( get_permalink( $course_id ), 'incomplete-course', 'incomplete-course' ) ?>"
      ><?php echo apply_filters( 'wpep_course_single_content_basic_incomplete_course', wpep_get_setting_translated('course-basic-course-completed') );
        ?><span></span>
      </a>
    <?php endif; ?>
  </div>

  <?php
    if( $course_completed && isset( $final_assessment_id ) )
      do_action( 'wpep_current_user_assessment_information_box', [ $final_assessment_id, 'wpep-visible' ] );
  ?>

<?php endif; ?>
