<form data-course-id="<?php echo $course_id; ?>"
      class="wpep-course-form wpep-learn-map-course-form"
      name="course-builder"
      method="post">

  <?php $lesson_counter = 0; $section_number = 1; $assessment_requirement = false;
         foreach( $course_sections as $course_section_id => $course_section ) : ?>
    <?php
      $has_learning_path = (
           isset( $course_section['options']['question_answers'] )
        && !empty( $course_section['options']['question_answers'] )
        && count( $course_section['options']['question_answers'] ) >= 2
      );

      $field_class = 'section-accordion-group';

      $field_class .= " " . ( $assessment_requirement ? 'wpep-hidden' : 'wpep-visible' );
      $field_class .= ( $has_learning_path ? ' section-with-learning-path' : '' );

      if( $section_number == count( $course_sections ) )
        $field_class .= ' section-accordion-group-final';


       // The Assessment requirement is actually considered for the Next Section, not the current section.
       if( !isset( $assessments_required ) || $assessments_required ) {
         if( isset( $course_section['assessment_id'] ) && $course_section['assessment_id'] != 0 )
           if( wpep_user_assessment_status( $course_section['assessment_id'] ) != WPEP_USER_ASSESSMENT_STATUS_COMPLETED )
             $assessment_requirement = true;
       }
    ?>
    <div class="<?php echo $field_class; ?>">
      <div class="section-left"><span></span></div>
      <div class="section-right">
        <h2><span class="section-heading"><?php echo $course_section['title']; ?></span></h2>

        <?php if( $course_section['content'] != '' ) : ?>
          <div class="wpep-content-from-editor section-description">
            <?php echo wpautop( $course_section['content'] ); ?>
          </div>
        <?php endif;?>

        <?php if( $has_learning_path ) : ?>
          <div class="section-select-learning-path-container">
            <select class="section-select-learning-path" data-section-id="<?php echo $course_section_id; ?>" name="section_learning_path[<?php echo $course_section_id; ?>]">
              <option value="-1"><?php echo wpep_get_setting_translated( 'lesson-learning-path-placeholder' ); ?></option>
              <?php foreach( $course_section['options']['question_answers'] as $answer_index => $answer_label ) : ?>
                <option value="<?php echo $answer_index; ?>" <?php selected( ( isset( $course_section['user_data']['learning_path'] ) ? $course_section['user_data']['learning_path'] : - 1 ), $answer_index ); ?>>
                  <?php echo $answer_label; ?>
                </option>
              <?php endforeach; ?>
            </select>
            <span class="lesson-head-icon"><i class="contain-icon"></i><i class="contain-icon"></i></span>
          </div>
        <?php endif; ?>

        <div class="lesson-accordion">
          <?php foreach( $course_section['lessons'] as $lesson_id => $lesson ) : ?>
            <?php $lesson['content'] = apply_filters( "wpep_course_single_content_lesson_content", $lesson['content'], $lesson );?>
            <?php $class = 'lesson-accordion-group';
                  $class .= ( $lesson['content'] == '' ? ' lesson-accordion-group-no-content' : '' );
                  $class .= ( $has_learning_path ? ' wpep-hidden' : '' );
                  $class .= ( $lesson['is_completed'] ? ' lesson-completed' : '' );
                  $class .= ( isset( $lesson['is_disabled'] ) && $lesson['is_disabled']   ? ' wpep-lesson-disabled' : '' );
            ?>
            <div class="<?php echo $class; ?>"
              <?php echo $has_learning_path && isset( $lesson['options']['question_answer'] ) ? 'data-learning-path-option="' . $lesson['options']['question_answer'] . '"' : ''; ?>
              >
              <h3 id="wpep-course-lesson-<?php echo $lesson_id; ?>" class="ui-accordion-header">
                <span class="lesson-heading"><?php echo $lesson['title']; ?></span>
                <span class="lesson-head-icon"><i class="contain-icon"></i></span>
              </h3>

              <?php if( ! $course_read_only ) : ?>
                <div class="checkbox">
                  <input type="checkbox"
                         class="lesson-checkbox" <?php checked( $lesson['is_completed'] ); ?>
                         value="<?php echo $lesson_id; ?>">
                  <span class="checkboxclass1 <?php echo ( $lesson['is_completed'] ) ? 'checked' : ''; ?>"><?php echo ++$lesson_counter; ?></span>
                </div>
              <?php else : ?>
                <div class="checkbox checkbox-read-only">
                  <span class="checkboxclass1"><?php echo ++$lesson_counter; ?></span>
                </div>
              <?php endif; ?>

              <?php if( $lesson['content'] != '' ) : ?>
                <div class="wpep-content-from-editor lesson-content wpep-hidden">
                  <?php echo wpautop( $lesson['content'] ); ?>
                  <div class="clearfix"></div>
                </div>
              <?php endif; ?>
            </div>
          <?php endforeach; ?>
        </div>

        <?php if( isset( $course_section['assessment_id'] ) ) do_action( 'wpep_current_user_assessment_information_box', [ $course_section['assessment_id'], ( $course_section['is_completed'] ? 'wpep-visible' : 'wpep-hidden' ) ] ); ?>
      </div>
      <div class="clearfix"></div>
    </div>
  <?php $section_number++; endforeach; ?>

  <?php if( isset( $final_assessment_id ) && !$assessment_requirement ) do_action( 'wpep_current_user_assessment_information_box', [ $final_assessment_id, ( $progress_percent == 100 ? 'wpep-visible' : 'wpep-hidden' ) ] ); ?>
</form>
