<?php if( $course_has_index_page && isset( $course_id ) ) : ?>
  <h2 class="standard-course-lesson-title"><a href="<?php echo get_the_permalink( $course_id ); ?>"><?php echo $lesson_title ?></a></h2>
<?php else : ?>
  <h2 class="standard-course-lesson-title"><?php echo $lesson_title ?></h2>
<?php endif; ?>

<div class="standard-course-lesson">
  <div class="standard-course-lesson-content wpep-content-from-editor">
    <?php echo $lesson_content; ?>

    <div class="bottom-content">
      <?php if( !$course_read_only ) : ?>
        <div class="contain-complete_lesson">
          <?php if( !$lesson_is_completed ) : ?>
            <a class="complete-lesson"
               href="<?php echo wp_nonce_url( wpep_course_lesson_permalink( $lesson_id, $course_id ), 'complete-lesson', 'complete-lesson' ) ?>"
                ><?php echo apply_filters( 'wpep_course_single_content_standard_complete_lesson', $complete_lesson_text );
              ?><span></span>
            </a>
          <?php elseif( wpep_get_setting_flag( 'enable-lesson-incomplete-option' ) ) : ?>
            <a class="incomplete-lesson"
               href="<?php echo wp_nonce_url( wpep_course_lesson_permalink( $lesson_id, $course_id ), 'incomplete-lesson', 'incomplete-lesson' ) ?>"
            ><?php echo apply_filters( 'wpep_course_single_content_standard_lesson_completed', $lesson_completed_message );
              ?><span></span>
            </a>
          <?php else : ?>
            <p class="standard-course-completed-notification">
              <?php echo apply_filters( 'wpep_course_single_content_standard_lesson_completed', $lesson_completed_message );
              ?><span></span>
            </p>
          <?php endif; ?>
          <div class="clearfix"></div>
        </div>
      <?php endif; ?>

      <ul class="standard-course-navigation">
        <?php if( isset( $previous_lesson_id ) && intval( $previous_lesson_id ) != 0 ) : ?>
          <li class="standard-course-navigation-previous"><a href="<?php echo wpep_course_lesson_permalink( $previous_lesson_id, $course_id ) ?>"><?php echo wpep_get_setting_translated( 'course-standard-previous-lesson' ); ?></a></li>
        <?php endif;?>
        <?php if( isset( $next_lesson_id ) && intval( $next_lesson_id ) != 0 ) : ?>
          <li class="standard-course-navigation-next"><a href="<?php echo wpep_course_lesson_permalink( $next_lesson_id, $course_id ) ?>"><?php echo wpep_get_setting_translated( 'course-standard-next-lesson' ); ?></a></li>
        <?php endif;?>
        <li class="clearfix"></li>
      </ul><div class="clearfix"></div></div>
  </div>
</div>

