<div class="video-course-sections-header" xmlns="http://www.w3.org/1999/html">
  <?php if( !$course_read_only ) : ?>
  <h3 class="video-course-status"><strong><?php echo wpep_get_setting_translated( 'course-video-course-status' )?></strong> : <span><?php echo wpep_get_setting_translated( 'course-video-course-status-' . $course_status ); ?></span></h3>
  <?php endif; ?>

  <?php if( $course_content !== '' ) : ?>
  <div class="wpep-content-from-editor video-course-content">
    <?php echo $course_content; ?>
  </div>
  <?php endif; ?>
</div>

<table class="video-course-sections">
  <thead>
    <tr>
      <th><?php echo wpep_get_setting_translated( 'course-video-course-table-status' ); ?></th>
      <th><?php echo wpep_get_setting_translated( 'course-video-course-table-sections' ); ?></th>
    </tr>
  </thead>
  <tbody>
      <?php $position_index = 1; foreach( $course_sections as $section_id => $section ) : ?>
        <tr>
          <td>
            <span class="video-course-section-status <?php echo $section['is_completed'] ? 'completed' : 'pending'; ?>"></span>
          </td>
          <td class="video-course-section <?php echo $section['is_completed'] ? 'completed' : 'pending'; ?>">
              <a href="<?php echo wpep_course_lesson_permalink( key($section['lessons']), $course_id ); ?>"
              ><span><?php echo $position_index; ?>. </span><?php echo $section['title']; ?>
                <span class="start-lesson"><?php echo wpep_get_setting_translated( 'course-video-start-section' ); ?></span>
              </a>
          </td>
        </tr>
      <?php $assessment_id = wpep_user_assessment_id_by_course_id( $course_id, $section_id ); ?>

      <?php if( $assessment_id != 0 ) : ?>
          <?php $position_index++; ?>
          <?php $assessment_status = wpep_user_assessment_status( $assessment_id ); ?>
          <tr>
            <td>
              <span class="video-course-assessment-status <?php echo $assessment_status; ?>"></span>
            </td>
            <td class="video-course-assessment <?php echo $assessment_status; ?>">
              <a href="<?php the_permalink( $assessment_id ); ?>"
              ><span><?php echo $position_index; ?>. </span><?php echo get_the_title( $assessment_id ); ?>
                <span class="start-assessment"><?php echo wpep_get_setting_translated( 'assessment-view' ); ?></span>
              </a>
            </td>
          </tr>
      <?php endif; ?>

      <?php $position_index++; endforeach; ?>

      <?php $assessment_id = wpep_user_assessment_id_by_course_id( $course_id, 0 ); ?>

      <?php if( $assessment_id != 0 ) : ?>
        <?php $assessment_status = wpep_user_assessment_status( $assessment_id ); ?>
        <tr>
          <td>
            <span class="video-course-assessment-status <?php echo $assessment_status; ?>"></span>
          </td>
          <td class="video-course-assessment <?php echo $assessment_status; ?>">
            <a href="<?php the_permalink( $assessment_id ); ?>"
            ><span><?php echo $position_index; ?>. </span><?php echo get_the_title( $assessment_id ); ?>
              <span class="start-assessment"><?php echo wpep_get_setting_translated( 'assessment-view' ); ?></span>
            </a>
          </td>
        </tr>
      <?php endif; ?>
  </tbody>
</table>