<?php

if( !isset( $user_information ) )
  $user_information = wpep_controller()->content->userProfileCoordinator->get_display_user( true );

$can_edit        = current_user_can( WPEP_CAP_MANAGE_MEMBERS ) || get_current_user_id() == $user_information->ID;
$cover_photo     = get_user_meta( $user_information->ID, WPEP_USER_META_COVER_PICTURE, true );
$cover_photo     = ( $cover_photo === '' ? wpep_get_setting( 'user-profile-default-cover-picture' ) : $cover_photo );

if( !isset( $include_header ) || ( isset( $include_header ) && $include_header ) )
  wpep_template_header();
?>

<?php do_action( 'wpep_before_main_content' ); ?>

  <div id="wpep-user-profile" class="row sidebar-active" data-wpep-user-id="<?php echo $user_information->ID; ?>">
    <div class="wpep-user-profile-top-section wpep-file-upload-container"
         data-upload-title="<?php echo wpep_get_setting_translated( 'user-profile-change-picture-cover' ); ?>"
         data-upload-button="<?php echo wpep_get_setting_translated( 'user-profile-change-picture-button' ); ?>"
         data-upload-trigger="> .wpep-user-profile-picture-upload-cover"
         data-upload-target="> .header-user-profile-cover-container"
         data-upload-meta-post-id="wpep_user_profile_cover"
         data-upload-type="image"
         data-upload-success-trigger-script="wpep_uploaded_profile_cover_picture">
      <?php if( $can_edit ) : ?>
      <span class="wpep-user-profile-picture-upload wpep-user-profile-picture-upload-cover">
        <?php echo wpep_get_setting_translated( 'user-profile-change-picture-button' ); ?>
      </span>
      <?php endif; ?>
      <img class="header-user-profile-cover-container wpep-background-image" src="<?php echo $cover_photo; ?>"/>

      <div class="clearfix"></div>
    </div>
    <div class="wpep-user-profile-left-section">
      <form id="wpep-user-profile-form" class="wpep-user-profile-widget user-profile-widget-profile" method="POST">
        <input type="hidden" name="wpep_user_profile_id" value="<?php echo $user_information->ID; ?>"/>
        <div class="header-user-profile-picture-container wpep-file-upload-container"
             data-upload-title="<?php echo wpep_get_setting_translated( 'user-profile-change-picture' ); ?>"
             data-upload-button="<?php echo wpep_get_setting_translated( 'user-profile-change-picture-button' ); ?>"
             data-upload-trigger="> .wpep-user-profile-picture-upload-primary"
             data-upload-target="> .header-user-profile-picture-container-avatar > img"
             data-upload-meta-post-id="wpep_user_profile_picture"
             data-upload-type="image"
             data-upload-success-trigger-script="wpep_uploaded_profile_picture">
          <?php if( $can_edit ) : ?>
          <span class="wpep-user-profile-picture-upload wpep-user-profile-picture-upload-primary">
            <?php echo wpep_get_setting_translated( 'user-profile-change-picture-button' ); ?>
          </span>
          <?php endif; ?>

          <div class="header-user-profile-picture-container-avatar">
            <?php echo wpep_user_profile_picture( $user_information->ID ); ?>
          </div>

          <div class="clearfix"></div>
        </div>

        <?php wpep_template_load( 'partial/user-profile-information-section.php', [
                'user_information' => $user_information,
                'can_edit'         => $can_edit
            ]
        );
        ?>
      </form>

      <?php if( wpep_get_setting_flag( 'user-profile-marketing-content-status' ) ) : ?>
        <div class="wpep-user-profile-widget wpep-user-profile-marketing-content">
          <?php echo wpep_format_content( wpep_get_setting_translated( 'user-profile-marketing-content' ) ); ?>
        </div>
      <?php endif; ?>
    </div>
    <div class="wpep-user-profile-right-section">
      <?php wpep_template_load( 'partial/user-profile-tab-section.php',
                    [
                      'user_information' => $user_information,
                      'can_edit'         => $can_edit
                    ]
                 );
      ?>
    </div>
    <div class="clearfix"></div>
  </div>

<?php do_action( 'wpep_after_main_content' ); ?>

<?php

if( !isset( $include_footer ) || ( isset( $include_footer ) && $include_footer ) )
  wpep_template_footer();

  wpep_controller()->assets->enqueue_media_support();
?>